package cn.com.qmth.examcloud.web.config;

import java.io.File;

import org.apache.commons.lang3.StringUtils;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.commons.util.PathUtil;
import cn.com.qmth.examcloud.web.support.ClasspathHelper;

/**
 * 系统配置
 *
 * @author WANGWEI
 * @date 2018年9月7日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Component
@ConfigurationProperties("examcloud.web.sys")
public class SystemConfig {

	private String dataDir;

	private String tempDataDir;

	/**
	 * 构造函数
	 *
	 */
	public SystemConfig() {

		String classpath = ClasspathHelper.getClasspath();

		if (StringUtils.isBlank(dataDir)) {
			String path = new File(classpath).getParent() + File.separator + "data";
			dataDir = PathUtil.getCanonicalPath(new File(path));
		}

		if (StringUtils.isBlank(tempDataDir)) {
			String path = new File(classpath).getParent() + File.separator + "temp";
			tempDataDir = PathUtil.getCanonicalPath(new File(path));
		}

	}

	public String getDataDir() {
		return dataDir;
	}

	public void setDataDir(String dataDir) {
		this.dataDir = dataDir;
	}

	public String getTempDataDir() {
		return tempDataDir;
	}

	public void setTempDataDir(String tempDataDir) {
		this.tempDataDir = tempDataDir;
	}

}
